package cn.ibizlab.assetmanagement.core.asset.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.util.ObjectUtils;
import org.springframework.util.DigestUtils;
import cn.ibizlab.assetmanagement.util.domain.EntityBase;
import cn.ibizlab.assetmanagement.util.annotation.DEField;
import cn.ibizlab.assetmanagement.util.enums.DEPredefinedFieldType;
import cn.ibizlab.assetmanagement.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.*;
import org.springframework.data.annotation.Transient;
import cn.ibizlab.assetmanagement.util.annotation.Audit;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.baomidou.mybatisplus.annotation.*;
import cn.ibizlab.assetmanagement.util.domain.EntityMP;

/**
 * 实体[文档类型]
 */
@Getter
@Setter
@NoArgsConstructor
@JsonIgnoreProperties(value = "handler")
@TableName(value = "EAMDOCUMENTTYPE",resultMap = "EAMDocumentTypeResultMap")
public class EAMDocumentType extends EntityMP implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 文档类型名称
     */
    @TableField(value = "eamdocumenttypename")
    @JSONField(name = "eamdocumenttypename")
    @JsonProperty("eamdocumenttypename")
    private String eamdocumenttypename;
    /**
     * 文档类型标识
     */
    @DEField(isKeyField=true)
    @TableId(value= "eamdocumenttypeid",type=IdType.ASSIGN_UUID)
    @JSONField(name = "eamdocumenttypeid")
    @JsonProperty("eamdocumenttypeid")
    private String eamdocumenttypeid;
    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @TableField(value = "createdate" , fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;
    /**
     * 更新人
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEMAN)
    @TableField(value = "updateman")
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;
    /**
     * 更新时间
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEDATE)
    @TableField(value = "updatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;
    /**
     * 建立人
     */
    @DEField(preType = DEPredefinedFieldType.CREATEMAN)
    @TableField(value = "createman" , fill = FieldFill.INSERT)
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;
    /**
     * 上级文档类型标识
     */
    @TableField(value = "peamdocumenttypeid")
    @JSONField(name = "peamdocumenttypeid")
    @JsonProperty("peamdocumenttypeid")
    private String peamdocumenttypeid;
    /**
     * 上级文档类型
     */
    @TableField(exist = false)
    @JSONField(name = "peamdocumenttypename")
    @JsonProperty("peamdocumenttypename")
    private String peamdocumenttypename;

    /**
     * 
     */
    @JsonIgnore
    @JSONField(serialize = false)
    @TableField(exist = false)
    private cn.ibizlab.assetmanagement.core.asset.domain.EAMDocumentType peamdocumenttype;



    /**
     * 设置 [文档类型名称]
     */
    public void setEamdocumenttypename(String eamdocumenttypename){
        this.eamdocumenttypename = eamdocumenttypename ;
        this.modify("eamdocumenttypename",eamdocumenttypename);
    }

    /**
     * 设置 [上级文档类型标识]
     */
    public void setPeamdocumenttypeid(String peamdocumenttypeid){
        this.peamdocumenttypeid = peamdocumenttypeid ;
        this.modify("peamdocumenttypeid",peamdocumenttypeid);
    }


}


