package cn.ibizlab.assetmanagement.core.asset.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.asset.domain.EAMDocument;
/**
 * 关系型数据实体[EAMDocument] 查询条件对象
 */
@Slf4j
@Data
public class EAMDocumentSearchContext extends QueryWrapperContext<EAMDocument> {

	private String n_eamdocumentname_like;//[文档名称]
	public void setN_eamdocumentname_like(String n_eamdocumentname_like) {
        this.n_eamdocumentname_like = n_eamdocumentname_like;
        if(!ObjectUtils.isEmpty(this.n_eamdocumentname_like)){
            this.getSearchCond().like("eamdocumentname", n_eamdocumentname_like);
        }
    }
	private String n_eamassettypeid_eq;//[资产类型标识]
	public void setN_eamassettypeid_eq(String n_eamassettypeid_eq) {
        this.n_eamassettypeid_eq = n_eamassettypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamassettypeid_eq)){
            this.getSearchCond().eq("eamassettypeid", n_eamassettypeid_eq);
        }
    }
	private String n_eamassettypename_eq;//[资产类型]
	public void setN_eamassettypename_eq(String n_eamassettypename_eq) {
        this.n_eamassettypename_eq = n_eamassettypename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamassettypename_eq)){
            this.getSearchCond().eq("eamassettypename", n_eamassettypename_eq);
        }
    }
	private String n_eamassettypename_like;//[资产类型]
	public void setN_eamassettypename_like(String n_eamassettypename_like) {
        this.n_eamassettypename_like = n_eamassettypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamassettypename_like)){
            this.getSearchCond().like("eamassettypename", n_eamassettypename_like);
        }
    }
	private String n_eamdocumenttypeid_eq;//[文档类型标识]
	public void setN_eamdocumenttypeid_eq(String n_eamdocumenttypeid_eq) {
        this.n_eamdocumenttypeid_eq = n_eamdocumenttypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamdocumenttypeid_eq)){
            this.getSearchCond().eq("eamdocumenttypeid", n_eamdocumenttypeid_eq);
        }
    }
	private String n_eamdocumenttypename_eq;//[文档类型]
	public void setN_eamdocumenttypename_eq(String n_eamdocumenttypename_eq) {
        this.n_eamdocumenttypename_eq = n_eamdocumenttypename_eq;
        if(!ObjectUtils.isEmpty(this.n_eamdocumenttypename_eq)){
            this.getSearchCond().eq("eamdocumenttypename", n_eamdocumenttypename_eq);
        }
    }
	private String n_eamdocumenttypename_like;//[文档类型]
	public void setN_eamdocumenttypename_like(String n_eamdocumenttypename_like) {
        this.n_eamdocumenttypename_like = n_eamdocumenttypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamdocumenttypename_like)){
            this.getSearchCond().like("eamdocumenttypename", n_eamdocumenttypename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamdocumentname", query)   
            );
		 }
	}
}



