package cn.ibizlab.assetmanagement.core.asset.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.asset.domain.EAMDocumentType;
/**
 * 关系型数据实体[EAMDocumentType] 查询条件对象
 */
@Slf4j
@Data
public class EAMDocumentTypeSearchContext extends QueryWrapperContext<EAMDocumentType> {

	private String n_eamdocumenttypename_like;//[文档类型名称]
	public void setN_eamdocumenttypename_like(String n_eamdocumenttypename_like) {
        this.n_eamdocumenttypename_like = n_eamdocumenttypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamdocumenttypename_like)){
            this.getSearchCond().like("eamdocumenttypename", n_eamdocumenttypename_like);
        }
    }
	private String n_peamdocumenttypeid_eq;//[上级文档类型标识]
	public void setN_peamdocumenttypeid_eq(String n_peamdocumenttypeid_eq) {
        this.n_peamdocumenttypeid_eq = n_peamdocumenttypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_peamdocumenttypeid_eq)){
            this.getSearchCond().eq("peamdocumenttypeid", n_peamdocumenttypeid_eq);
        }
    }
	private String n_peamdocumenttypename_eq;//[上级文档类型]
	public void setN_peamdocumenttypename_eq(String n_peamdocumenttypename_eq) {
        this.n_peamdocumenttypename_eq = n_peamdocumenttypename_eq;
        if(!ObjectUtils.isEmpty(this.n_peamdocumenttypename_eq)){
            this.getSearchCond().eq("peamdocumenttypename", n_peamdocumenttypename_eq);
        }
    }
	private String n_peamdocumenttypename_like;//[上级文档类型]
	public void setN_peamdocumenttypename_like(String n_peamdocumenttypename_like) {
        this.n_peamdocumenttypename_like = n_peamdocumenttypename_like;
        if(!ObjectUtils.isEmpty(this.n_peamdocumenttypename_like)){
            this.getSearchCond().like("peamdocumenttypename", n_peamdocumenttypename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamdocumenttypename", query)   
            );
		 }
	}
}



