package cn.ibizlab.assetmanagement.core.asset.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.asset.domain.EAMDocument;
import cn.ibizlab.assetmanagement.core.asset.filter.EAMDocumentSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMDocument] 服务对象接口
 */
public interface IEAMDocumentService extends IService<EAMDocument>{

    boolean create(EAMDocument et) ;
    void createBatch(List<EAMDocument> list) ;
    boolean update(EAMDocument et) ;
    void updateBatch(List<EAMDocument> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMDocument get(String key) ;
    EAMDocument getDraft(EAMDocument et) ;
    boolean checkKey(EAMDocument et) ;
    boolean save(EAMDocument et) ;
    void saveBatch(List<EAMDocument> list) ;
    Page<EAMDocument> searchDefault(EAMDocumentSearchContext context) ;
    List<EAMDocument> selectByEamassettypeid(String eamassettypeid) ;
    void removeByEamassettypeid(String eamassettypeid) ;
    List<EAMDocument> selectByEamdocumenttypeid(String eamdocumenttypeid) ;
    void removeByEamdocumenttypeid(String eamdocumenttypeid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMDocument> getEamdocumentByIds(List<String> ids) ;
    List<EAMDocument> getEamdocumentByEntities(List<EAMDocument> entities) ;
}


